<?php

namespace App\View\Components;

use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class Button extends Component
{
    public ?string $type;
    public ?string $class;
    public ?string $size;

    public function __construct(
        ?string $type = 'button',
        ?string $class = '',
        ?string $size = 'sm',
    ) {
        $this->type = $type;
        $this->class = $class;
        $this->size = $size;
    }

    public function render(): View|Closure|string
    {
        return view('components.button');
    }
}
